Retrieve face detections for a specific file in a collection
curl --request GET \
--url https://api.cloudglue.dev/v1/collections/{collection_id}/videos/{file_id}/face-detections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/collections/{collection_id}/videos/{file_id}/face-detections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/collections/{collection_id}/videos/{file_id}/face-detections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection_id": "<string>",
"file_id": "<string>",
"faces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"face_bounding_box": {
"height": 0.5,
"width": 0.5,
"top": 0.5,
"left": 0.5
},
"frame_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": 1,
"thumbnail_url": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Face Analysis Collection
Get Video Face Detections
Retrieve face detections for a specific file in a collection. Results are paginated with a default limit of 50 faces per request (maximum 100). Use limit and offset parameters to paginate through all results. This API is only available when the collection is created with collection_type ‘face-analysis’
GET
/
collections
/
{collection_id}
/
videos
/
{file_id}
/
face-detections
Retrieve face detections for a specific file in a collection
For details on how to create a face-analysis collection, see Create Collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the collection
The ID of the file
Query Parameters
Maximum number of faces to return
Required range:
1 <= x <= 100Number of faces to skip
Required range:
x >= 0Response
File face detections
ID of the collection
ID of the file
Array of detected faces
Show child attributes
Show child attributes
Total number of faces detected
Maximum number of faces returned per request
Number of faces skipped